get
https://api.accelevents.com/rest/virtual/event//networking-lounge/getNetworkingLoungesWithPagination
This API provides you with a list of all lounges including pagination and members count for the current event.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
The below response field specification.
| Attribute | Description |
|---|---|
| id | It contains a unique lounge id. |
| eventId | It contains a unique event id. |
| name | It contains a unique name of the lounge for a particular event. |
| description | It contains a description of the lounge. |
| createdBy | It contains a user id that is responsible for lounge creation. |
| photos | It contains a comma-separated photo URL that is uploaded in the lounge. |
| profileImage | It contains a profile image of the lounge. |
| createAt | It contains a time when the lounge is created. |
| meetingObj | Its have meetingObj for a live meeting of the lounge. |
| bannerImage | It contains a banner image of the lounge if a user is set. |
| position | It contains a position of the lounge. |
| enableVirtualization | It contains a boolean value. |
| userDetailsDtos | It contains a five-user list with their details like first name, last name, profile image. It is used to show user profile icons on lounge card UI. |
| recordsTotal | It contains a count of total lounges in the particular event. This field is used in pagination. |
| recordsFiltered | It contains a count of the filtered lounge in the particular event. This field is used in pagination. |
| memberCount | It contains a count of total members in the lounge. It is used to show count in lounge card UI. |
| userJoined | It contains a boolean value to show a button with a different label, the user has joined a lounge or not. Based on value user needs to join the lounge first and the next time user visits directly the lounge. |
| error | It contains an error message if occurs. |
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.
| Response status code | Error Code | Error Description |
|---|---|---|
| 401 | 4010101 | You are not authorized to view the resource. |
| 404 | The resource you were trying to reach is not found. | |
| 406 | 40600013 | Server can not create URL from the eventUrl value. |
| 404 | 4040200 | No event could be found. |